<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Employee</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Employee
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Employee</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">

        <div class="col-md-6">

            <div class="callout callout-danger" th:if="${emaileror != null}">
                <h4>Email sudah terpakai!</h4>

                <p>Gunakan email lain.</p>
            </div>
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Employee</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" th:action="@{/masterdata/employes/save}" th:object="${employes}" method="post">
                    <div class="box-body">


                        <div class="form-group">
                            <label for="companies" class="col-sm-2 control-label">Company</label>

                            <div class="col-sm-10">
                                <select class="form-control select2" name="companies" th:field="*{companies}" id="companies" style="width: 100%;">
                                    <option th:each="data : ${listCompanies}"
                                            th:text="${data.companyName}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="number" class="col-sm-2 control-label">Number</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{number}" name="number" id="number" placeholder="Number">
                                <p th:if="${#fields.hasErrors('number')}" th:errors="*{number}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="idAbsen" class="col-sm-2 control-label">Absen Id</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{idAbsen}" name="idAbsen" id="idAbsen" placeholder="Absen Id">
                                <p th:if="${#fields.hasErrors('idAbsen')}" th:errors="*{idAbsen}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="nickName" class="col-sm-2 control-label">Nick Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{nickName}" name="nickName" id="nickName" placeholder="Nick name">
                                <p th:if="${#fields.hasErrors('nickName')}" th:errors="*{nickName}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="fullName" class="col-sm-2 control-label">Full Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{fullName}" name="fullName" id="fullName" placeholder="Full Name">
                                <p th:if="${#fields.hasErrors('fullName')}" th:errors="*{fullName}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Gender</label>

                            <div class="col-sm-10">
                                <label>
                                    <input name="gender1" id="gender1" type="radio" value="PRIA" class="flat-red" th:field="*{gender}">
                                    PRIA
                                </label>
                                &nbsp;
                                <label>
                                    <input name="gender2" id="gender2" type="radio" value="WANITA" class="flat-red" th:field="*{gender}">
                                    WANITA
                                </label>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="emailActive" class="col-sm-2 control-label">Email Active</label>

                            <div class="col-sm-10">
                                <input type="email" class="form-control" th:field="*{emailActive}" name="emailActive" id="emailActive" placeholder="Email Active">
                                <p th:if="${#fields.hasErrors('emailActive')}" th:errors="*{emailActive}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

<!--                        <div class="form-group">-->
<!--                            <label for="statusAktif" class="col-sm-2 control-label">Status Aktif</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="statusAktif" th:field="*{statusAktif}" id="statusAktif" style="width: 100%;">-->
<!--                                    <option th:value="AKTIF">AKTIF</option>-->
<!--                                    <option th:value="RESIGN">RESIGN</option>-->
<!--                                    <option th:value="PENSIUN">PENSIUN</option>-->
<!--                                    <option th:value="NONAKTIF">NONAKTIF</option>-->
<!--                                </select>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="statusEmployee" class="col-sm-2 control-label">Status Employee</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="statusEmployee" th:field="*{statusEmployee}" id="statusEmployee" style="width: 100%;">-->
<!--                                    <option th:value="KONTRAK">KONTRAK</option>-->
<!--                                    <option th:value="TETAP">TETAP</option>-->
<!--                                    <option th:value="OUTSOURCE">OUTSOURCE</option>-->
<!--                                    <option th:value="HARIAN">HARIAN</option>-->
<!--                                </select>-->
<!--                            </div>-->
<!--                        </div>-->


                        <input type="hidden" name="statusAktif" th:field="*{statusAktif}">
                        <input type="hidden" name="statusEmployee" th:field="*{statusEmployee}">
                        <input type="hidden" name="placeOfBirth" th:field="*{placeOfBirth}">
                        <input type="hidden" name="tanggalLahir" th:field="*{tanggalLahir}">
                        <input type="hidden" name="blod" th:field="*{blod}">
                        <input type="hidden" name="religion" th:field="*{religion}">
                        <input type="hidden" name="noNpwp" th:field="*{noNpwp}">
                        <input type="hidden" name="bpjsKesehatanNumber" th:field="*{bpjsKesehatanNumber}">
                        <input type="hidden" name="bpjsKetenagakerjaanNumber" th:field="*{bpjsKetenagakerjaanNumber}">
                        <input type="hidden" name="identityNumber" th:field="*{identityNumber}">
                        <input type="hidden" name="identityAddress" th:field="*{identityAddress}">
                        <input type="hidden" name="domisiliAddress" th:field="*{domisiliAddress}">
                        <input type="hidden" name="homeTelephoneNumber" th:field="*{homeTelephoneNumber}">
                        <input type="hidden" name="celularTelephoneNumber" th:field="*{celularTelephoneNumber}">
                        <input type="hidden" name="rekeningNumber" th:field="*{rekeningNumber}">
                        <input type="hidden" name="bank" th:field="*{bank}">
                        <input type="hidden" name="fileFoto" th:field="*{fileFoto}">
                        <input type="hidden" name="user" th:field="*{user}">
<!--                        <input type="hidden" name="idAbsen" th:value="*{idAbsen}">-->
                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/masterdata/employes}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>


</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>